condenser_api.get_account_history
Purpose
Gibt den Verlauf aller Operationen eines bestimmten Kontos zurück. Parameter: account:string; start:int, z. B.: -1 für umgekehrten Verlauf oder eine beliebige positive Zahl; limit:int bis zu 10000
account (string) | start (int) | limit (int) | |
|---|---|---|---|
"steemit" | 1000 | 1000 | Abfrage des Kontos mit dem Namen steemit beginnend beim neuesten Eintrag des Verlaufs, bis zu 1.000 Ergebnisse. |
"alice" | -1 | 10000 | Abfrage des Kontos mit dem Namen alice beginnend beim ältesten Eintrag des Verlaufs, bis zu 10.000 Ergebnisse. |
Siehe auch: account_history_api.get_account_history, Paginated API Methods
Parameters
PARAMETERS
json
[
"",
0,
1000
]Example
Example 1
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "condenser_api.get_account_history",
"params": [
"steemit",
1000,
1000
],
"id": 1
}'Example 2
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "condenser_api.get_account_history",
"params": [
"steemit",
-1,
10000
],
"id": 1
}'